gr::satellites::ao40_deinterleaver_impl Class Reference

`#include <ao40_deinterleaver_impl.h>`

Inheritance diagram for gr::satellites::ao40_deinterleaver_impl:
[legend]

## Public Member Functions

| ao40_deinterleaver_impl ()
| ~ao40_deinterleaver_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::ao40_deinterleaver
typedef boost::shared_ptr< ao40_deinterleaver > | sptr
Static Public Member Functions inherited from gr::satellites::ao40_deinterleaver
static sptr | make ()
| Return a shared_ptr to a new instance of satellites::ao40_deinterleaver. More...

## Constructor & Destructor Documentation

## ao40_deinterleaver_impl()

gr::satellites::ao40_deinterleaver_impl::ao40_deinterleaver_impl | ( |  | ) |

## ~ao40_deinterleaver_impl()

gr::satellites::ao40_deinterleaver_impl::~ao40_deinterleaver_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::ao40_deinterleaver_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::satellites::ao40_deinterleaver_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## msg_handler()

void gr::satellites::ao40_deinterleaver_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- ao40_deinterleaver_impl.h